Subject: IP Packet size

From: Pipo Bui <[email-masked]>
Date: Fri, 08 Dec 2000 12:31:40 -0800

Hi,
I am evaluating an IP in IP encapsulation technology and would like to know 
the average size or size range of an IP Packet, including the 20 byte header.
Can you tell me this or where to find it?
Thanks,
Pipo

Pipo Bui
Associate
Horizon Communications
5201 Great America Parkway, Suite 333
Santa Clara, CA 95054
408-969-4888 x103

---

From: [email-masked]
Date: Fri, 08 Dec 2000 16:10:28 -0500

> Can you tell me this or where to find it?

The concept of an "average" packet is misleading.  In different environments,
the average packet size will differ.  For instance, my workstation
has a high spike of packets wiht a data payload of 1 byte or so, because
I do a lot of remote login to other machines.  Machines doing a lot of
NFS traffic will tend to show a lot of 8K packets (or whatever 8K fragments
to on their network interface), web servers will probably show a mix of
very short inbound packets (basically a URL and maybe a short GET/POST
section), and a lot of very large outbound packets (which is why early
cable modems that had a 10Mbit downlink but  a 56kb modem uplink worked well).

You'll really need to take measurements on your organizational backbone and
see what distribution you get.  Most likely, you will see spikes at several
"common" sizes, with little traffic at other sizes.

-- 
				Valdis Kletnieks
				Operating Systems Analyst
				Virginia Tech

---

From: Steve Feldman <[email-masked]>
Date: Fri, 8 Dec 2000 14:02:40 -0800

There's lot of data at http://moat.nlanr.net
try http://moat.nlanr.net//Datacube/Data/AIX/PLen/20001206/976126449-1.PLen
for an example, and http://moat.nlanr.net/PMA/Datacube.html for access
to more data.

CAIDA (http://www.caida.org) also has some data on packet lengths.

As a previous response pointed out, it's the distribution 
of packet lengths that really is interesting, not just the mean.

	Steve